0.9.8: GLM_GTX_vector_query

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_vector_query
GTX Extensions (Experimental)

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areCollinear (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthogonal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthonormal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isCompNull (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNormalized (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNull (vecType< T, P > const &v, T const &epsilon)

## Detailed Description

Query informations of vector types.

<glm/gtx/vector_query.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL bool glm::areCollinear | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are collinears.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::areOrthogonal | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthogonals.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::areOrthonormal | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthonormal.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL vecType<bool, P> glm::isCompNull | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a each component of a vector is null.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::isNormalized | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is normalized.

See also
  GLM_GTX_vector_query extensions.

GLM_FUNC_DECL bool glm::isNull | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See also
  GLM_GTX_vector_query extensions.